Docs Rizler

V1 Call Handling

V1 Update Voicemail Settings

PATCHhttps://app.rizzdial.com/api/ai/agent/v1/manage/call-handling/voicemail/{agent_id}
V1 Update Voicemail Settings
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v1/manage/call-handling/voicemail/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "text": "value",
  "enabled": true,
  "message": "value",
  "isEnabled": true,
  "action_type": "hangup",
  "voicemail_option": [],
  "voicemail_action_type": "hangup",
  "voicemail_message_text": "value",
  "enable_voicemail_detection": true,
  "voicemail_detection_timeout_ms": 5000
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

V1 Update Voicemail Settings#

V1 Update Voicemail Settings. Use the public agent id from List Agents. This path only accepts V1 agents allowed by the company package.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

enabledbooleanbody

send only when changing this field

isEnabledbooleanbody

send only when changing this field

enable_voicemail_detectionbooleanbody

send only when changing this field

voicemail_optionarraybody

may be null. send only when changing this field

action_typestringbody

One of: hangup, prompt, static_text. send only when changing this field

voicemail_action_typestringbody

One of: hangup, prompt, static_text. may be null. send only when changing this field

messagestringbody

may be null. send only when changing this field

textstringbody

may be null. send only when changing this field

voicemail_message_textstringbody

may be null. send only when changing this field

voicemail_detection_timeout_msintegerbody

One of: 5000. min 5000. max 120000. send only when changing this field

curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v1/manage/call-handling/voicemail/agent_123 \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"enabled":true,"isEnabled":true,"enable_voicemail_detection":true,"voicemail_option":[],"action_type":"hangup","voicemail_action_type":"hangup","message":"value","text":"value","voicemail_message_text":"value","voicemail_detection_timeout_ms":1}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records